Bug 229975 - [MAINTAINER] graphics/libsixel update to 1.8.2 (Fixes security vulnerabilities)
Summary: [MAINTAINER] graphics/libsixel update to 1.8.2 (Fixes security vulnerabilities)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-23 04:03 UTC by IWAMOTO Kouichi
Modified: 2018-07-25 16:09 UTC (History)
1 user (show)

See Also:


Attachments
libsixes (841 bytes, patch)
2018-07-23 04:03 UTC, IWAMOTO Kouichi
fernape: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description IWAMOTO Kouichi 2018-07-23 04:03:01 UTC
Created attachment 195384 [details]
libsixes
Comment 1 IWAMOTO Kouichi 2018-07-23 04:05:50 UTC
graphics/libsixel update to 1.8.2 (Inclueds some security fixes).
Comment 2 Fernando Apesteguía freebsd_committer 2018-07-23 21:03:02 UTC
Take
Comment 3 commit-hook freebsd_committer 2018-07-24 18:09:41 UTC
A commit references this bug:

Author: fernape
Date: Tue Jul 24 18:08:48 UTC 2018
New revision: 475267
URL: https://svnweb.freebsd.org/changeset/ports/475267

Log:
  Document vulnerabilities for graphics/sixel 1.8.1

  * CVE-2018-14072
  * CVE-2018-14073

  PR:	229975
  Reported by:	sue@iwmt.org (maintainer)
  Approved by:	tcberner (mentor)

Changes:
  head/security/vuxml/vuln.xml
Comment 4 commit-hook freebsd_committer 2018-07-24 18:12:46 UTC
A commit references this bug:

Author: fernape
Date: Tue Jul 24 18:12:30 UTC 2018
New revision: 475268
URL: https://svnweb.freebsd.org/changeset/ports/475268

Log:
  devel/libsixel: update to 1.8.2

  Fixes:

  * CVE-2018-14072
  * CVE-2018-14073

  PR:	229975
  Submitted by:	sue@iwmt.org (maintainer)
  Approved by:	tcberner (mentor)
  MFH:	2018Q3
  Differential Revision:	  https://reviews.freebsd.org/D16421

Changes:
  head/graphics/libsixel/Makefile
  head/graphics/libsixel/distinfo
Comment 5 Fernando Apesteguía freebsd_committer 2018-07-24 18:13:46 UTC
Committed,

Thanks!
Comment 6 commit-hook freebsd_committer 2018-07-25 16:09:02 UTC
A commit references this bug:

Author: fernape
Date: Wed Jul 25 16:08:08 UTC 2018
New revision: 475317
URL: https://svnweb.freebsd.org/changeset/ports/475317

Log:
  MFH: r475268

  devel/libsixel: update to 1.8.2

  Fixes:

  * CVE-2018-14072
  * CVE-2018-14073

  PR:	229975
  Submitted by:	sue@iwmt.org (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	  https://reviews.freebsd.org/D16421

  Approved by:	ports-secteam (swills)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/graphics/libsixel/Makefile
  branches/2018Q3/graphics/libsixel/distinfo